<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.PatrolInspectionSiteMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.PatrolInspectionSite">
        <id column="id" property="id" />
        <result column="site_name" property="siteName" />
        <result column="site_nubmber" property="siteNubmber" />
        <result column="site_describe" property="siteDescribe" />
        <result column="site_type" property="siteType" />
        <result column="collector" property="collector" />
        <result column="collect_time" property="collectTime" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
        <result column="area_id" property="areaId" />
        <result column="picture_url" property="pictureUrl" />
        <result column="create_time" property="createTime" />
        <result column="creator" property="creator" />
        <result column="enable" property="enable" />
        <result column="distance_range" property="distanceRange" />
        <result column="tenant_id" property="tenantId" />
        <result column="company_id" property="companyId" />
    </resultMap>

</mapper>
